# This is an example configuration file for spectemu. 
#
# The options shown here are the default values. If you want to change
# an option to some other value, copy the option to either ~/.spectemurc,
# or to spectemu.cfg.


## ---------------------
## Generic options
## ---------------------

frame-skip = 2
pause = false

## ---------------------
## X options
## ---------------------

scale = 2
private-map = false
mit-shm = true
pause-on-iconify = false

## ---------------------
## vga options
## ---------------------

vga-mode = 320x240            # 320x200 is somewhat faster 
vga-pause-bg = false

## ---------------------
## tape options
## ---------------------

quick-load = false
load-immed = false
# auto-stop = false

## ---------------------
## sound options
## ---------------------

sound = true
sound-delay = 4
sound-device = /dev/dsp
sound-sample-rate = 15625
sound-autoclose = true

sound-dsp-setfrag = true      # Set this to false for PCSND

## ---------------------
## keyboard options
## ---------------------

keyboard-type = extended      # extended, spectrum, compat, custom
cursor-type   = shifted       # shifted,  normal, joystick
allow-ascii = true
true-shift = alt              # none, shift, lock, control, alt, mod2,
                              # mod3, mod4, mod5
func-shift = control          # <same as for true-shift>

# Definition of the extended keyboard (excluding letters and numbers).
# Of course you can specify more 'Key_'-s here (see spkey_p.h for
# a complete list)

Key_space     = space
Key_Return    = enter
Key_KP_Enter  = enter
Key_Shift_L   = capsshift
Key_Shift_R   = symbolshift
Key_BackSpace = capsshift 0
Key_Delete    = capsshift 0
Key_Escape    = capsshift 1


# Definition of spectrum keyboard type (in addition to the extended keyboard)

# Key_comma     = symbolshift
# Key_period    = space
# Key_semicolon = enter


# Definition of compat keyboard type (in addition to the extended keyboard)

# Key_Shift_L   = capsshift
# Key_Shift_R   = capsshift
# Key_Alt_L     = symbolshift
# Key_Alt_R     = symbolshift
# Key_Meta_L    = symbolshift
# Key_Meta_R    = symbolshift
# 
# true-shift    = none


# Definition of shifted cursor keys:

# Key_Left      = capsshift 5
# Key_KP_Left   = capsshift 5
# Key_Down      = capsshift 6
# Key_KP_Down   = capsshift 6
# Key_Up        = capsshift 7
# Key_KP_Up     = capsshift 7
# Key_Right     = capsshift 8
# Key_KP_Right  = capsshift 8


# Definition of raw cursor keys:

# Key_Left      = 5
# Key_KP_Left   = 5
# Key_Down      = 6
# Key_KP_Down   = 6
# Key_Up        = 7
# Key_KP_Up     = 7
# Key_Right     = 8
# Key_KP_Right  = 8


# Definition of the joystick keys:

# Key_Left      = kempston_left
# Key_KP_Left   = kempston_left
# Key_Down      = kempston_down
# Key_KP_Down   = kempston_down
# Key_Up        = kempston_up
# Key_KP_Up     = kempston_up
# Key_Right     = kempston_right
# Key_KP_Right  = kempston_right
# 
# Key_Insert    = kempston_fire
# Key_KP_Insert = kempston_fire
# Key_KP_Delete = kempston_fire
# 
# Key_Home           = kempston_up kempston_left
# Key_KP_Home        = kempston_up kempston_left
# Key_Page_Up        = kempston_up kempston_right
# Key_KP_Page_Up     = kempston_up kempston_right
# Key_End            = kempston_down kempston_left
# Key_KP_End         = kempston_down kempston_left
# Key_Page_Down      = kempston_down kempston_right
# Key_KP_Page_Down   = kempston_down kempston_right


## ---------------------
## colour options
## ---------------------

color-type = normal           # normal, grayscale or custom


# Custom colour definition (normal)

color0  = 0  0  0
color1  = 4  4  52
color2  = 52 4  4
color3  = 52 4  52
color4  = 4  52 4
color5  = 4  52 52
color6  = 52 52 4
color7  = 52 52 52

color8  = 21 21 21
color9  = 8  8  63
color10 = 63 8  8
color11 = 63 8  63
color12 = 8  63 8
color13 = 8  63 63
color14 = 63 63 8
color15 = 63 63 63

# Custom colour definition (gray-scale)
# 
# color0  = 0  0  0  
# color1  = 20 20 20
# color2  = 26 26 26
# color3  = 32 32 32
# color4  = 38 38 38
# color5  = 44 44 44
# color6  = 50 50 50
# color7  = 56 56 56
#                  
# color8  = 21 21 21
# color9  = 23 23 23
# color10 = 30 30 30
# color11 = 36 36 36
# color12 = 43 43 43
# color13 = 50 50 50
# color14 = 56 56 56
# color15 = 63 63 63

#
#  End of example.cfg
#
